Bug 406606 - "Report bug" button is always disabled
Summary: "Report bug" button is always disabled
Status: RESOLVED FIXED
Alias: None
Product: drkonqi
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Neon Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Unassigned bugs mailing-list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-16 17:27 UTC by Patrick Silva
Modified: 2019-06-02 20:41 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.16.0


Attachments
screenshot (1.58 MB, image/png)
2019-04-16 17:27 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2019-04-16 17:27:45 UTC
Created attachment 119442 [details]
screenshot

SUMMARY
It's impossible to report bugs with drkonki because, as we can see in attached screenshot, "Report bug" ("Relatar erro" in my language) button is disabled.


EXPECTED RESULT
"Report bug" button is enabled.

SOFTWARE/OS VERSIONS
Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.15.80
KDE Frameworks Version: 5.58.0
Qt Version: 5.12.0
Comment 1 Daniel Vrátil 2019-06-02 12:50:44 UTC
Git commit dd95de337e30d310ecf689eb7719eba77da366ff by Daniel Vrátil.
Committed on 01/06/2019 at 22:28.
Pushed by dvratil into branch 'Plasma/5.16'.

Fix the 'Report bug' button being always disabled

Summary:
The commit d4ae04a7 has changed #define of HAVE_XMLRPCLCIENT
to #cmakedefine01 - since HAVE_XMLRPCCLIENT is not defined anywhere
in the CMakeFiles.txt, this lead to the 'Report bug' button being
unconditionally disabled at compile time.

Since KXmlRpcClient is a REQUIRED dependency (and has been for a while),
we can just remove the macro altogether.
FIXED-IN: 5.16.0

Test Plan: The 'Report bug' button is enabled

Reviewers: dfaure

Subscribers: plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D21527

M  +0    -1    src/config-drkonqi.h.cmake
M  +2    -7    src/drkonqidialog.cpp

https://commits.kde.org/drkonqi/dd95de337e30d310ecf689eb7719eba77da366ff